--[[

LuCI mentohust
Author:tsl0922
Email:tsl0922@sina.com

]]--

module("luci.controller.mentohust", package.seeall)

function index()

	if nixio.fs.access("/etc/config/mentohust") then
	local page 
	page = entry({"admin", "services", "mentohust"}, cbi("mentohust"), _("MentoHUST"), 10)
	page.i18n = "mentohust"
	page.dependent = true

	entry({"admin", "services", "mentohust", "status"}, call("status")).leaf = true
	end
end

function status()
	local sys  = require "luci.sys"
	local ipkg = require "luci.model.ipkg"
	local http = require "luci.http"
	local uci  = require "luci.model.uci".cursor()

	local status = {
		running = (sys.call("pidof mentohust > /dev/null") == 0),
		h_mentohust = ipkg.installed("mentohust"),
	}

	http.prepare_content("application/json")
	http.write_json(status)
end
